Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop
Class MapReduceFlowStep

    java.lang.Object
      cascading.flow.planner.BaseFlowStep<JobConf>
          cascading.flow.hadoop.HadoopFlowStep
              cascading.flow.hadoop.MapReduceFlowStep

All Implemented Interfaces:
  FlowStep<JobConf>, Serializable

    public class MapReduceFlowStep

extends HadoopFlowStep

Class MapReduceFlowStep wraps a `JobConf` and allows it to be executed as a `Flow`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.flow.planner.BaseFlowStep
`accumulatedSourcesByJoin, sinks, sources, streamedSourceByJoin, tempSink`

Fields inherited from interface cascading.flow.FlowStep
`CASCADING_FLOW_STEP_ID`

Method Summary
`JobConf` | `getInitializedConfig(FlowProcess<JobConf> flowProcess, JobConf parentConfig)`

Methods inherited from class cascading.flow.hadoop.HadoopFlowStep
`clean, createFlowStepJob, getMapperTrap, getMapperTraps, getReducerTrap, getReducerTraps, getTapForID, getTrap, getTraps, initFromSink, initFromSources, initFromTraps, isHadoopLocalMode`

Methods inherited from class cascading.flow.planner.BaseFlowStep
`addAccumulatedSourceFor, addGroup, addSink, addSource, addStreamedSourceFor, clean, commitSinks, containsPipeNamed, createClientState, equals, getAllAccumulatedSources, getAllOperations, getConfig, getFlow, getFlowID, getFlowName, getFlowStepJob, getFlowStepStats, getGraph, getGroup, getGroups, getID, getJoinTributariesBetween, getName, getNextFlowElement, getNextScope, getNextScopes, getPreviousScopes, getScopeFor, getSink, getSinkName, getSinks, getSinkWith, getSourceName, getSources, getSourceWith, getStepDisplayName, getStepDisplayName, getStepNum, getStreamedSourceByJoin, getSubmitPriority, getSuccessors, getTopologicalOrderIterator, hashCode, initConfFromProcessConfigDef, isDebugEnabled, isInfoEnabled, logDebug, logError, logInfo, logWarn, logWarn, rollbackSinks, setConf, setFlow, setFlowName, setSubmitPriority, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInitializedConfig

    public JobConf getInitializedConfig(FlowProcess<JobConf> flowProcess,
                                        JobConf parentConfig)

  Overrides:
    `getInitializedConfig` in class `HadoopFlowStep`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.